package com.viddin.videos.free

import com.ama.core.architecture.BaseApp
import com.gamedog.statisticreporter.adjust.AdjustManager
import com.gamedog.statisticreporter.firbase.FireBaseManager
import com.gamedog.statisticreporter.shushu.ShushuManager
import com.gamedog.vididin.VidiConst
import com.gamedog.vididin.core.login.login.AccountManager
import com.gamedog.vididin.manager.TaskManager
import dagger.hilt.android.HiltAndroidApp

@HiltAndroidApp
class VidiDinApp : BaseApp() {

    override fun onCreate() {
        super.onCreate()
        instance = this
        initManagers()
    }


    private fun initManagers() {
        AccountManager.getAccount()
        TaskManager.Companion.instance().initNotificationData()
        TaskManager.Companion.instance()
        ShushuManager.Companion.instance().initShushu(VidiConst.SHUSHU_APP_ID, VidiConst.SHUSHU_SERVER_URL)
        FireBaseManager.Companion.instance()
        AdjustManager.Companion.instance().initSdk(VidiConst.ADJUST_TOKEN)
    }
}